Skip to main content
GET
List all filters for a charge

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

external_id
string
required

External ID of the existing subscription.

Example:

"sub_1234567890"

charge_code
string
required

Code of the existing charge.

Example:

"api_requests_charge"

Query Parameters

page
integer

Page number. Defaults to 1. A value that is not a positive integer, such as 0, returns the first page.

Example:

1

per_page
integer

Number of records per page. Defaults to 100. The maximum is 200, unless another maximum is configured for your organization. A value above the maximum returns a 422 error with value_is_out_of_range on per_page. A value that is not a positive integer, such as 0, returns the default number of records.

Example:

20

subscription_status
enum<string>
default:active

Filter by subscription status. When provided, the subscription is looked up with this status instead of the default active status. Possible values are pending, active, terminated, canceled, or incomplete.

Available options:
pending,
active,
terminated,
canceled,
incomplete
Example:

"active"

Response

List of charge filters

filters
object[]
required
meta
object
required